from django.utils.translation import ugettext as _

COUNTRIES = (
    (_("Member countries"), (
        ('BW', _(u"Botswana")),
        ('BI', _(u"Burundi")),
        ('CD', _(u"Congo - Kinshasa")),
        ('ET', _(u"Ethiopia")),
        ('KE', _(u"Kenya")),
        ('LS', _(u"Lesotho")),
        ('MW', _(u"Malawi")),
        ('MZ', _(u"Mozambique")),
        ('NA', _(u"Namibia")),
        ('RW', _(u"Rwanda")),
        ('ZA', _(u"South Africa")),
        ('SD', _(u"Sudan")),
        ('SS', _(u"South Sudan")),
        ('SZ', _(u"Swaziland")),
        ('TZ', _(u"Tanzania")),
        ('UG', _(u"Uganda")),
        ('ZM', _(u"Zambia")),
        ('ZW', _(u"Zimbabwe")),
    )),
    (_("Rest of the world"), (
        ('AF', _(u"Afghanistan")),
        ('AL', _(u"Albania")),
        ('DZ', _(u"Algeria")),
        ('AS', _(u"American Samoa")),
        ('AD', _(u"Andorra")),
        ('AO', _(u"Angola")),
        ('AI', _(u"Anguilla")),
        ('AQ', _(u"Antarctica")),
        ('AG', _(u"Antigua and Barbuda")),
        ('AR', _(u"Argentina")),
        ('AM', _(u"Armenia")),
        ('AW', _(u"Aruba")),
        ('AU', _(u"Australia")),
        ('AT', _(u"Austria")),
        ('AZ', _(u"Azerbaijan")),
        ('BS', _(u"Bahamas")),
        ('BH', _(u"Bahrain")),
        ('BD', _(u"Bangladesh")),
        ('BB', _(u"Barbados")),
        ('BY', _(u"Belarus")),
        ('BE', _(u"Belgium")),
        ('BZ', _(u"Belize")),
        ('BJ', _(u"Benin")),
        ('BM', _(u"Bermuda")),
        ('BT', _(u"Bhutan")),
        ('BO', _(u"Bolivia")),
        ('BA', _(u"Bosnia and Herzegovina")),
        ('BV', _(u"Bouvet Island")),
        ('BR', _(u"Brazil")),
        ('BQ', _(u"British Antarctic Territory")),
        ('IO', _(u"British Indian Ocean Territory")),
        ('VG', _(u"British Virgin Islands")),
        ('BN', _(u"Brunei")),
        ('BG', _(u"Bulgaria")),
        ('BF', _(u"Burkina Faso")),
        ('KH', _(u"Cambodia")),
        ('CM', _(u"Cameroon")),
        ('CA', _(u"Canada")),
        ('CT', _(u"Canton and Enderbury Islands")),
        ('CV', _(u"Cape Verde")),
        ('KY', _(u"Cayman Islands")),
        ('CF', _(u"Central African Republic")),
        ('TD', _(u"Chad")),
        ('CL', _(u"Chile")),
        ('CN', _(u"China")),
        ('CX', _(u"Christmas Island")),
        ('CC', _(u"Cocos [Keeling] Islands")),
        ('CO', _(u"Colombia")),
        ('KM', _(u"Comoros")),
        ('CG', _(u"Congo - Brazzaville")),
        ('CK', _(u"Cook Islands")),
        ('CR', _(u"Costa Rica")),
        ('HR', _(u"Croatia")),
        ('CU', _(u"Cuba")),
        ('CY', _(u"Cyprus")),
        ('CZ', _(u"Czech Republic")),
        ('CI', _(u"C\xc3\xb4te d\xe2\x80\x99Ivoire")),
        ('DK', _(u"Denmark")),
        ('DJ', _(u"Djibouti")),
        ('DM', _(u"Dominica")),
        ('DO', _(u"Dominican Republic")),
        ('NQ', _(u"Dronning Maud Land")),
        ('DD', _(u"East Germany")),
        ('EC', _(u"Ecuador")),
        ('EG', _(u"Egypt")),
        ('SV', _(u"El Salvador")),
        ('GQ', _(u"Equatorial Guinea")),
        ('ER', _(u"Eritrea")),
        ('EE', _(u"Estonia")),
        ('FK', _(u"Falkland Islands")),
        ('FO', _(u"Faroe Islands")),
        ('FJ', _(u"Fiji")),
        ('FI', _(u"Finland")),
        ('FR', _(u"France")),
        ('GF', _(u"French Guiana")),
        ('PF', _(u"French Polynesia")),
        ('TF', _(u"French Southern Territories")),
        ('FQ', _(u"French Southern and Antarctic Territories")),
        ('GA', _(u"Gabon")),
        ('GM', _(u"Gambia")),
        ('GE', _(u"Georgia")),
        ('DE', _(u"Germany")),
        ('GH', _(u"Ghana")),
        ('GI', _(u"Gibraltar")),
        ('GR', _(u"Greece")),
        ('GL', _(u"Greenland")),
        ('GD', _(u"Grenada")),
        ('GP', _(u"Guadeloupe")),
        ('GU', _(u"Guam")),
        ('GT', _(u"Guatemala")),
        ('GG', _(u"Guernsey")),
        ('GN', _(u"Guinea")),
        ('GW', _(u"Guinea-Bissau")),
        ('GY', _(u"Guyana")),
        ('HT', _(u"Haiti")),
        ('HM', _(u"Heard Island and McDonald Islands")),
        ('HN', _(u"Honduras")),
        ('HK', _(u"Hong Kong SAR China")),
        ('HU', _(u"Hungary")),
        ('IS', _(u"Iceland")),
        ('IN', _(u"India")),
        ('ID', _(u"Indonesia")),
        ('IR', _(u"Iran")),
        ('IQ', _(u"Iraq")),
        ('IE', _(u"Ireland")),
        ('IM', _(u"Isle of Man")),
        ('IL', _(u"Israel")),
        ('IT', _(u"Italy")),
        ('JM', _(u"Jamaica")),
        ('JP', _(u"Japan")),
        ('JE', _(u"Jersey")),
        ('JT', _(u"Johnston Island")),
        ('JO', _(u"Jordan")),
        ('KZ', _(u"Kazakhstan")),
        ('KI', _(u"Kiribati")),
        ('KW', _(u"Kuwait")),
        ('KG', _(u"Kyrgyzstan")),
        ('LA', _(u"Laos")),
        ('LV', _(u"Latvia")),
        ('LB', _(u"Lebanon")),
        ('LR', _(u"Liberia")),
        ('LY', _(u"Libya")),
        ('LI', _(u"Liechtenstein")),
        ('LT', _(u"Lithuania")),
        ('LU', _(u"Luxembourg")),
        ('MO', _(u"Macau SAR China")),
        ('MK', _(u"Macedonia")),
        ('MG', _(u"Madagascar")),
        ('MY', _(u"Malaysia")),
        ('MV', _(u"Maldives")),
        ('ML', _(u"Mali")),
        ('MT', _(u"Malta")),
        ('MH', _(u"Marshall Islands")),
        ('MQ', _(u"Martinique")),
        ('MR', _(u"Mauritania")),
        ('MU', _(u"Mauritius")),
        ('YT', _(u"Mayotte")),
        ('FX', _(u"Metropolitan France")),
        ('MX', _(u"Mexico")),
        ('FM', _(u"Micronesia")),
        ('MI', _(u"Midway Islands")),
        ('MD', _(u"Moldova")),
        ('MC', _(u"Monaco")),
        ('MN', _(u"Mongolia")),
        ('ME', _(u"Montenegro")),
        ('MS', _(u"Montserrat")),
        ('MA', _(u"Morocco")),
        ('MM', _(u"Myanmar [Burma]")),
        ('NR', _(u"Nauru")),
        ('NP', _(u"Nepal")),
        ('NL', _(u"Netherlands")),
        ('AN', _(u"Netherlands Antilles")),
        ('NT', _(u"Neutral Zone")),
        ('NC', _(u"New Caledonia")),
        ('NZ', _(u"New Zealand")),
        ('NI', _(u"Nicaragua")),
        ('NE', _(u"Niger")),
        ('NG', _(u"Nigeria")),
        ('NU', _(u"Niue")),
        ('NF', _(u"Norfolk Island")),
        ('KP', _(u"North Korea")),
        ('VD', _(u"North Vietnam")),
        ('MP', _(u"Northern Mariana Islands")),
        ('NO', _(u"Norway")),
        ('OM', _(u"Oman")),
        ('PC', _(u"Pacific Islands Trust Territory")),
        ('PK', _(u"Pakistan")),
        ('PW', _(u"Palau")),
        ('PS', _(u"Palestinian Territories")),
        ('PA', _(u"Panama")),
        ('PZ', _(u"Panama Canal Zone")),
        ('PG', _(u"Papua New Guinea")),
        ('PY', _(u"Paraguay")),
        ('YD', _(u"People's Democratic Republic of Yemen")),
        ('PE', _(u"Peru")),
        ('PH', _(u"Philippines")),
        ('PN', _(u"Pitcairn Islands")),
        ('PL', _(u"Poland")),
        ('PT', _(u"Portugal")),
        ('PR', _(u"Puerto Rico")),
        ('QA', _(u"Qatar")),
        ('RO', _(u"Romania")),
        ('RU', _(u"Russia")),
        ('RE', _(u"R\xc3\xa9union")),
        ('BL', _(u"Saint Barth\xc3\xa9lemy")),
        ('SH', _(u"Saint Helena")),
        ('KN', _(u"Saint Kitts and Nevis")),
        ('LC', _(u"Saint Lucia")),
        ('MF', _(u"Saint Martin")),
        ('PM', _(u"Saint Pierre and Miquelon")),
        ('VC', _(u"Saint Vincent and the Grenadines")),
        ('WS', _(u"Samoa")),
        ('SM', _(u"San Marino")),
        ('SA', _(u"Saudi Arabia")),
        ('SN', _(u"Senegal")),
        ('RS', _(u"Serbia")),
        ('CS', _(u"Serbia and Montenegro")),
        ('SC', _(u"Seychelles")),
        ('SL', _(u"Sierra Leone")),
        ('SG', _(u"Singapore")),
        ('SK', _(u"Slovakia")),
        ('SI', _(u"Slovenia")),
        ('SB', _(u"Solomon Islands")),
        ('SO', _(u"Somalia")),
        ('GS', _(u"South Georgia and the South Sandwich Islands")),
        ('KR', _(u"South Korea")),
        ('ES', _(u"Spain")),
        ('LK', _(u"Sri Lanka")),
        ('SR', _(u"Suriname")),
        ('SJ', _(u"Svalbard and Jan Mayen")),
        ('SE', _(u"Sweden")),
        ('CH', _(u"Switzerland")),
        ('SY', _(u"Syria")),
        ('ST', _(u"S\xc3\xa3o Tom\xc3\xa9 and Pr\xc3\xadncipe")),
        ('TW', _(u"Taiwan")),
        ('TJ', _(u"Tajikistan")),
        ('TH', _(u"Thailand")),
        ('TL', _(u"Timor-Leste")),
        ('TG', _(u"Togo")),
        ('TK', _(u"Tokelau")),
        ('TO', _(u"Tonga")),
        ('TT', _(u"Trinidad and Tobago")),
        ('TN', _(u"Tunisia")),
        ('TR', _(u"Turkey")),
        ('TM', _(u"Turkmenistan")),
        ('TC', _(u"Turks and Caicos Islands")),
        ('TV', _(u"Tuvalu")),
        ('UM', _(u"U.S. Minor Outlying Islands")),
        ('PU', _(u"U.S. Miscellaneous Pacific Islands")),
        ('VI', _(u"U.S. Virgin Islands")),
        ('UA', _(u"Ukraine")),
        ('SU', _(u"Union of Soviet Socialist Republics")),
        ('AE', _(u"United Arab Emirates")),
        ('GB', _(u"United Kingdom")),
        ('US', _(u"United States")),
        ('ZZ', _(u"Unknown or Invalid Region")),
        ('UY', _(u"Uruguay")),
        ('UZ', _(u"Uzbekistan")),
        ('VU', _(u"Vanuatu")),
        ('VA', _(u"Vatican City")),
        ('VE', _(u"Venezuela")),
        ('VN', _(u"Vietnam")),
        ('WK', _(u"Wake Island")),
        ('WF', _(u"Wallis and Futuna")),
        ('EH', _(u"Western Sahara")),
        ('YE', _(u"Yemen")),
        ('AX', _(r"\xc3\x85land Islands")),
    )),
)

NATIONALITIES = []
for group_name, group in COUNTRIES:
    new_group = [(name, name) for id, name in group]
    NATIONALITIES.append((group_name, new_group))
